function seg_col = vsIdMap2ColMap(C, seg)

seg_col_r = zeros(size(seg));
seg_col_g = zeros(size(seg));
seg_col_b = zeros(size(seg));

seg = double(seg);
ids = double(unique(seg));
for i=1:length(ids)
    this_id = ids(i);
    if this_id ~= 0
        pixel_locations = (seg==this_id);
        obj_id = floor(this_id/10);
        action_id = this_id - obj_id*10;
        if action_id == 0
            continue
        end
        seg_col_r(pixel_locations) = C(action_id,1,obj_id);
        seg_col_g(pixel_locations) = C(action_id,2,obj_id);
        seg_col_b(pixel_locations) = C(action_id,3,obj_id);
    end
end
seg_col = uint8(cat(3, seg_col_r, seg_col_g, seg_col_b));
