function ftFlowRaw(lib, fpath, savefold)

addpath(genpath(lib));

if ~exist(savefold, 'dir')
    mkdir(savefold);
end

files = dir(fullfile(fpath,'*.png'));
for i=2:length(files)
    savepath = fullfile(savefold, [files(i).name(1:end-4),'.mat']);
    if ~exist(savepath, 'file')
        im1 = imread(fullfile(fpath, files(i).name));
        im0 = imread(fullfile(fpath, files(i-1).name));
        [~, flow.bvx, flow.bvy] = compute_flow(im1, im0);
        [~, flow.fvx, flow.fvy] = compute_flow(im0, im1);
        save(savepath, 'flow', '-v7.3');
    end
end
