function fv = videoFeatureDT(PATH, vid, DictionarySize)

%% Load DT feature
dt = load(fullfile(PATH.featDT, [vid, '.mat']));

%% Get Histogram
traj = hist(dt.featHist(:,32),1:DictionarySize);
traj = traj./norm(traj,1);

hog = hist(dt.featHist(:,33),1:DictionarySize);
hog = hog./norm(hog,1);

hof = hist(dt.featHist(:,34),1:DictionarySize);
hof = hof./norm(hof,1);

mbhx = hist(dt.featHist(:,35),1:DictionarySize);
mbhx = mbhx./norm(mbhx,1);

mbhy = hist(dt.featHist(:,36),1:DictionarySize);
mbhy = mbhy./norm(mbhy,1);

%% Combine histogram
fv = cat(2,traj,hog,hof,mbhx,mbhy);
