function Stat = StatVideoset(VS, pngs_fold)

Height = zeros(size(VS.vid));
Width = zeros(size(VS.vid));
Frames = zeros(size(VS.vid));
parfor i=1:length(VS.vid)
    Frames(i) = length(dir(fullfile(pngs_fold,VS.vid{i},'*.png')));
    im = imread(fullfile(pngs_fold,VS.vid{i},'00001.png'));
    [Height(i), Width(i), ~] = size(im);
end

Stat.height = Height;
Stat.width = Width;
Stat.frames = Frames;
