function renamePatternGlobal(codeRoot, orgPattern, newPattern)
% Rename certain pattern (variables or functions) in the scope of codeRoot.


cmd = sprintf('grep -r ''%s'' %s', orgPattern, codeRoot);
system(cmd);

if nargin > 2
    if ~isempty(newPattern)
        if ismac
            cmd = sprintf('grep -lr -e ''%s'' %s | xargs sed -i '''' ''s/%s/%s/g''', ...
                orgPattern, codeRoot, orgPattern, newPattern);
            system(cmd);
        elseif isunix
            cmd = sprintf('grep -lr -e ''%s'' %s | xargs sed -i ''s/%s/%s/g''', ...
                orgPattern, codeRoot, orgPattern, newPattern);
            system(cmd);
        end
    end
end