function Bvalue = setBvalue_UGM(Bmap, fv, theta)
%% This function computes the distances between pairwise nodes.
% exp(-theta/(1+distChiSq(x1,x2)))

pdist = distChiSq(fv(:,1:24), fv(:,1:24));

Bvalue = exp(-theta./(pdist+1));

Bvalue = Bvalue.*Bmap;
Bvalue = sparse(Bvalue);



