function fluxHead(scriptPath, outPath, jobName, wallTime, coreNum, memory)

fid = fopen(scriptPath, 'wt');
fprintf(fid, '#!/bin/sh\n');
fprintf(fid, '#PBS -S /bin/sh\n');
fprintf(fid, '#PBS -N %s\n', jobName); % length < 13 characters
fprintf(fid, '#PBS -o %s\n', outPath);
fprintf(fid, '#PBS -l nodes=1:ppn=%s\n', coreNum);
fprintf(fid, '#PBS -l pmem=%smb\n', memory);
fprintf(fid, '#PBS -l walltime=%s\n', wallTime);

fprintf(fid, '#PBS -A jjcorso_flux\n');
fprintf(fid, '#PBS -l qos=flux\n');
fprintf(fid, '#PBS -q flux\n');

fprintf(fid, '#PBS -M cliangxu@umich.edu\n');
fprintf(fid, '#PBS -m abe\n');
fprintf(fid, '#PBS -j oe\n');
fprintf(fid, '#PBS -V\n');

fprintf(fid, 'echo "PBS_JOBID="$PBS_JOBID\n');
fprintf(fid, 'echo "PBS_O_WORKDIR="$PBS_O_WORKDIR\n');

fprintf(fid, '\n\n');
fclose(fid);

