function segLabels_Seq = segLabelsToSequence(segLabels_ObjActBK)
% This function is used to convert ObjAct BK labels to 0-44 sequence
% number.

settings;

segLabels_Seq = zeros(size(segLabels_ObjActBK));
for i=1:length(segLabels_ObjActBK)
    if segLabels_ObjActBK(i) > 1
        segLabels_Seq(i) = find(LabelSet.joint==segLabels_ObjActBK(i));
    end
end
segLabels_Seq = segLabels_Seq+1;
segLabels_Seq(segLabels_ObjActBK==1) = 1;
segLabels_Seq(segLabels_ObjActBK==0) = 0;
