function slurmHead(script_path, output_path, job_name, time, cores, memory)

fid = fopen(script_path, 'wt');
fprintf(fid, '#!/bin/sh\n');
fprintf(fid, '#SBATCH --partition=general-compute\n');
fprintf(fid, '#SBATCH --time=%s\n', time);
fprintf(fid, '#SBATCH --nodes=1\n');
fprintf(fid, '#SBATCH --ntasks-per-node=%s\n', cores);
fprintf(fid, '#SBATCH --mem=%s\n', memory);
fprintf(fid, '#SBATCH --job-name="%s"\n', job_name);
fprintf(fid, '#SBATCH --output=%s\n', output_path);
fprintf(fid, '#SBATCH --mail-user=chenlian@buffalo.edu\n');
fprintf(fid, '#SBATCH --mail-type=ALL\n');
fprintf(fid, 'echo "SLURM_JOBID="$SLURM_JOBID\n');
fprintf(fid, 'echo "SLURM_JOB_NODELIST"=$SLURM_JOB_NODELIST\n');
fprintf(fid, 'echo "SLURM_NNODES"=$SLURM_NNODES\n');
fprintf(fid, 'echo "SLURMTMPDIR="$SLURMTMPDIR\n');
fprintf(fid, '\n\n');
fclose(fid);