function utilFFmpegTrimVideo(video_path, time_start, time_end, clip_path)

[~,~,~,~,MN_start,S_start] = datevec(time_start);
[~,~,~,~,MN_end,S_end] = datevec(time_end);

time_long = (MN_end*60+S_end) - (MN_start*60+S_start);
time_long_hms = secs2hms(time_long);

cmd = sprintf('ffmpeg -i %s -ss %s -t %s -async 1 %s', ...
    video_path, time_start, time_long_hms, clip_path);
system(cmd);


function hms = secs2hms(secs_total)

hours = floor(secs_total/3600);
mins = floor(mod(secs_total,3600)/60);
secs = mod(mod(secs_total,3600),60);

hms = sprintf('%02d:%02d:%02d', hours, mins, secs);

